<script lang="ts">
	import Logo from '$lib/Logo.svelte';
	import Darkmode from '$lib/darkmode.svelte';

	let register = false;
</script>

<main>
	<header>
		<Logo></Logo>

		<Darkmode></Darkmode>
	</header>

	<h1>All your classes in one place.</h1>

	<div id="login-methods">
		<md-filled-button>Login with MIT</md-filled-button>
		<md-divider></md-divider>
		{#if register}
			<md-outlined-text-field type="text" placeholder="Name"></md-outlined-text-field>
			<md-outlined-text-field type="email" placeholder="Email"></md-outlined-text-field>
			<md-outlined-text-field type="password" placeholder="Password"></md-outlined-text-field>
			<div id="actions">
				<md-text-button
					on:click={() => {
						register = false;
					}}>Already have account</md-text-button
				>
				<md-filled-button>Register</md-filled-button>
			</div>
		{:else}
			<md-outlined-text-field type="email" placeholder="Email"></md-outlined-text-field>
			<md-outlined-text-field type="password" placeholder="Password"></md-outlined-text-field>
			<a href="/">Forgot password?</a>
			<div id="actions">
				<md-text-button
					on:click={() => {
						register = true;
					}}>Create account</md-text-button
				>
				<md-filled-button>Login</md-filled-button>
			</div>
		{/if}
	</div>
</main>

<style>
	main {
		padding: 1em;
	}

	header {
		display: flex;
		justify-content: space-between;
	}

	h1 {
		text-align: center;
	}

	#login-methods {
		display: flex;
		flex-direction: column;
		gap: 1em;
		max-width: 50ch;
		margin: auto;
	}

	#actions {
		text-align: end;
	}
</style>
